<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\State;
use App\StateAprobacion;
use App\Persona;
use App\Usuarios;
use App\Especialidad;
use App\Sede;
use App\TipoEspecialidad;
use App\TipoSede;
use App\PersonAseguradora;
use App\Aseguradora;
use App\Reportes;

class AseguradoraController extends Controller
{
    // Vista Principal
    //--------------------------------------------------------------------------------------------------------------
    public function index(){
        return view('aseguradora.index');
    }
    //----------------------------------------------------------------------------------------------------------------
    public function ListReportes(Request $request){
        $dataEntidad = Aseguradora::join('person_aseguradora as paseg','aseguradora.id','=','paseg.id_aseguradora')
        ->where('paseg.id_persona','=',$request->session()->get('id_persona'))
        ->select('aseguradora.id')
        ->get();
        $dataReports = Reportes::join('personas as p1','reportes.id_paciente','=','p1.id')
        ->join('personas as p2','reportes.id_person_upload','=','p2.id')
        ->join('personas as p3','reportes.id_person_atendido','=','p3.id')
        ->join('state_aprobacion','reportes.estado_view','=','state_aprobacion.id')
        ->where('reportes.state','=',1)
        ->where('p1.entidad','=',$dataEntidad[0]->id)
        ->select('reportes.created_at as fecha','reportes.id','reportes.codigo','p1.nombres','p1.apellidos','reportes.url_file','reportes.extension','state_aprobacion.nombre as estado','reportes.state','p3.nombres as nombres2','p3.apellidos as apellidos2')
        ->get();
        return ['reportes'=>$dataReports];
    }
    //----------------------------------------------------------------------------------------------------------------
    public function saveEditstateReports(Request $request){
        $Reports = Reportes::where('id','=',$request->id_reporte)->where('estado_view','<>','2')->get();
        if(sizeof($Reports)>0)
        {
            $Reports[0]->estado_view = 2;
            $Reports[0]->save();
        }else{
            return ['save'=>false];
        }
        
        return ['save'=>true];
    }
}